Loading...
Searching...
No Matches
AvahiBrowser Class Reference

`#include <avahi_discover.h>`

## Classes

struct | Entry

## Public Member Functions

| AvahiBrowser ()
| ~AvahiBrowser ()
sigc::signal< void > & | signal_changed ()
void | get_service_names (std::vector< Glib::ustring > &r)
bool | invoke_resolver (const Glib::ustring &name)
bool | get_address_port (Glib::ustring &address, int &port, Glib::ustring &name, Glib::ustring &host)

## Static Private Member Functions

static void | new_service (GaServiceBrowser *browser, AvahiIfIndex interface, AvahiProtocol protocol, const char *name, const char *type, const char *domain, AvahiLookupResultFlags flags, void *data)
static void | removed_service (GaServiceBrowser *browser, AvahiIfIndex interface, AvahiProtocol protocol, const char *name, const char *type, const char *domain, AvahiLookupResultFlags flags, void *data)
static void | cache_exhausted (GaServiceBrowser *browser, void *data)
static void | on_found (GaServiceResolver *resolver, AvahiIfIndex interface, AvahiProtocol protocol, const char *name, const char *type, const char *domain, const char *host_name, const AvahiAddress *a, uint16_t port, AvahiStringList *txt, AvahiLookupResultFlags flags, void *data)
static void | on_failure (GaServiceResolver *resolver, GError *error, void *data)

## Private Attributes

GaClient * | client
GaServiceBrowser * | browser
GaServiceResolver * | resolver
std::list< Entry > | services
std::map< Glib::ustring, int > | service_names
sigc::signal< void > | changed
bool | cache_done
Glib::ustring | found_name
Glib::ustring | found_host

## Detailed Description

Definition at line 31 of file avahi_discover.h.

## Constructor & Destructor Documentation

## AvahiBrowser()

AvahiBrowser::AvahiBrowser | ( |  | ) |

## ~AvahiBrowser()

AvahiBrowser::~AvahiBrowser | ( |  | ) |

## Member Function Documentation

## cache_exhausted()

void AvahiBrowser::cache_exhausted | ( | GaServiceBrowser * | browser,
|  | void * | data )

static private

## get_address_port()

bool AvahiBrowser::get_address_port | ( | Glib::ustring & | address,
|  | int & | port,
|  | Glib::ustring & | name,
|  | Glib::ustring & | host )

## get_service_names()

void AvahiBrowser::get_service_names | ( | std::vector< Glib::ustring > & | r | ) |

## invoke_resolver()

bool AvahiBrowser::invoke_resolver | ( | const Glib::ustring & | name | ) |

## new_service()

void AvahiBrowser::new_service | ( | GaServiceBrowser * | browser,
|  | AvahiIfIndex | interface,
|  | AvahiProtocol | protocol,
|  | const char * | name,
|  | const char * | type,
|  | const char * | domain,
|  | AvahiLookupResultFlags | flags,
|  | void * | data )

static private

## on_failure()

void AvahiBrowser::on_failure | ( | GaServiceResolver * | resolver,
|  | GError * | error,
|  | void * | data )

static private

## on_found()

void AvahiBrowser::on_found | ( | GaServiceResolver * | resolver,
|  | AvahiIfIndex | interface,
|  | AvahiProtocol | protocol,
|  | const char * | name,
|  | const char * | type,
|  | const char * | domain,
|  | const char * | host_name,
|  | const AvahiAddress * | a,
|  | uint16_t | port,
|  | AvahiStringList * | txt,
|  | AvahiLookupResultFlags | flags,
|  | void * | data )

static private

## removed_service()

void AvahiBrowser::removed_service | ( | GaServiceBrowser * | browser,
|  | AvahiIfIndex | interface,
|  | AvahiProtocol | protocol,
|  | const char * | name,
|  | const char * | type,
|  | const char * | domain,
|  | AvahiLookupResultFlags | flags,
|  | void * | data )

static private

## signal_changed()

sigc::signal< void > & AvahiBrowser::signal_changed | ( |  | ) |

inline

Definition at line 75 of file avahi_discover.h.

## Member Data Documentation

## browser

GaServiceBrowser* AvahiBrowser::browser

private

Definition at line 52 of file avahi_discover.h.

Referenced by cache_exhausted(), new_service(), and removed_service().

## cache_done

bool AvahiBrowser::cache_done

private

Definition at line 57 of file avahi_discover.h.

## changed

sigc::signal<void> AvahiBrowser::changed

private

Definition at line 56 of file avahi_discover.h.

Referenced by signal_changed().

## client

GaClient* AvahiBrowser::client

private

Definition at line 51 of file avahi_discover.h.

## found_host

Glib::ustring AvahiBrowser::found_host

private

Definition at line 59 of file avahi_discover.h.

## found_name

Glib::ustring AvahiBrowser::found_name

private

Definition at line 58 of file avahi_discover.h.

## resolver

GaServiceResolver* AvahiBrowser::resolver

private

Definition at line 53 of file avahi_discover.h.

Referenced by on_failure(), and on_found().

## service_names

std::map<Glib::ustring,int> AvahiBrowser::service_names

private

Definition at line 55 of file avahi_discover.h.

## services

std::list<Entry> AvahiBrowser::services

private

Definition at line 54 of file avahi_discover.h.

The documentation for this class was generated from the following file:

- src/headers/avahi_discover.h